d3.json('data/data.json', function (data) {
  // The full parsed row set.
  console.log(data);
});

d3.csv('data/data.csv', function (data) {
  console.log(data);
});

d3.tsv('data/data.tsv', function (data) {
  console.log(data);
});

d3.json('data/data.json', function (data) {
  // const min = d3.min(data, d => d.age);
  // const max = d3.max(data, d => d.age);
  const extent = d3.extent(data, d => d.age);

  console.log(extent);
  const scale = d3.scaleLinear()
   .domain(extent)
   .range([0, 600]);

  console.log(scale(24), scale(37));

  var ages = d3.set(data, d => d.age);
  // Usable for a quantize scale.
  console.log(ages.values());
});

